﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Core;

namespace HeuristicLab.Problems.MetaOptimization {
  [StorableClass]
  [Item("ParameterOptimizationInfoList", "Represents a list of parameter configurations.")]
  public class ParameterConfigurationList : CheckedItemCollection<IParameterConfiguration> {
    public ParameterConfigurationList() : base() { }
    public ParameterConfigurationList(IEnumerable<IParameterConfiguration> collection) : base(collection) { }
    [StorableConstructor]
    protected ParameterConfigurationList(bool deserializing) : base(deserializing) { }
    
  }
}
